/** This class provides unsigned 8 bits integers in order to port Juergen's
    C code.<BR>
    This code is GPL.
    Copyright (c) 2000 Brice Fines.<DL>
    <UR>
    <LI>This program is free software; you can redistribute it and/or modify<BR>
    it under the terms of the GNU General Public License as published by<BR>
    the Free Software Foundation; either version 2 of the License, or<BR>
    (at your option) any later version.<BR>
    <LI>This program is distributed in the hope that it will be useful,<BR>
    but WITHOUT ANY WARRANTY; without even the implied warranty of<BR>
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the<BR>
    GNU General Public License for more details.<BR>
    <LI>You should have received a copy of the GNU General Public License<BR>
    along with this program; if not, write to the Free Software<BR>
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA<BR>
    </UR></DL>
    @version 0.2005 06/06/00<BR>
    @author <A HREF="mailto:bfines@uni2.es">Jarod CANAL</A>
    @see "The Gnu Public License." */
final public class UInt8{

    /** Unsigned integer coded on 8 bits. */
    private int unsignedByte = 0;
    
    /** Constructor. */
    protected UInt8(){}

    /** Set unsigned byte value.
	@param Value the value that will be used to set the unsigned byte. */
    final protected void set( int Value ){
	unsignedByte = Value;
	unsignedByte &= 0x00FF;
    }

    /** Get the value of the unsigned byte.
	@return an unsigned 8 bits integer. */
    final protected int get(){
	return( unsignedByte );
    }

}


